package com.ltgk.port.service;

import com.ltgk.common.core.domain.AjaxResult;
import com.ltgk.port.domain.dto.GetInPortListReq;
import com.ltgk.port.domain.dto.GetOutEnterPortListReq;
import com.ltgk.port.domain.dto.GetOutEnterPortSortReq;
import com.ltgk.port.domain.dto.GetOutPortListReq;
import com.ltgk.port.domain.vo.BoatEnterOutVo;
import com.ltgk.port.domain.vo.BoatNavigateStatusVo;
import com.ltgk.port.domain.vo.EnterOutVo;

import java.util.List;

/**
 * @Author: w1826
 * @Description: 大屏一张图  渔港统计
 * @Date: 2025/1/16 15:09
 * @Version: 1.0
 */
public interface PortStatisticsService {
    AjaxResult getPortStatistics();

    List<EnterOutVo> getOutEnterPortSort(GetOutEnterPortSortReq getOutEnterPortSortReq);

    List<BoatEnterOutVo> getOutEnterPortList(GetOutEnterPortListReq getOutEnterPortListReq);

    List<BoatNavigateStatusVo> getInPortList(GetInPortListReq getInPortListReq);

    List<BoatNavigateStatusVo> getOutPortList(GetOutPortListReq getOutPortListReq);
}
